<?php

namespace App\Filament\Resources\VehicleDataSources;

use App\Filament\Resources\VehicleDataSources\Pages\CreateVehicleDataSource;
use App\Filament\Resources\VehicleDataSources\Pages\EditVehicleDataSource;
use App\Filament\Resources\VehicleDataSources\Pages\ListVehicleDataSources;
use App\Filament\Resources\VehicleDataSources\Schemas\VehicleDataSourceForm;
use App\Filament\Resources\VehicleDataSources\Tables\VehicleDataSourcesTable;
use App\Models\VehicleDataSource;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class VehicleDataSourceResource extends Resource
{
    protected static ?string $model = VehicleDataSource::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return VehicleDataSourceForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return VehicleDataSourcesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListVehicleDataSources::route('/'),
            'create' => CreateVehicleDataSource::route('/create'),
            'edit' => EditVehicleDataSource::route('/{record}/edit'),
        ];
    }
}
